QGIS Application - Bug report #15435
Measure tools: default unit is hardcoded and doesn't follow choice in Settings dialog
2016-08-14 09:10 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Tools

Affected QGIS version:2.14.5 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 23361
Description

Selecting the "measure line" tool always opens with feet units although in Settings --> Option --> Map tools, the preferred distance unit is
meters and meter is the default unit of the crs i'm using. No reason for feet.

Itr and next

Related issues:
Related to QGIS Application - Bug report # 18891: Changed Ruler distance unit... Open 2018-05-01

History

#1 - 2016-08-14 09:15 PM - Harrissou Santanna

Same thing for area units.

#2 - 2016-08-14 09:33 PM - Nyall Dawson

Check the project properties

#3 - 2016-08-14 09:54 PM - Harrissou Santanna

Indeed, it was those units activated in Project properties. Thanks.

Then shouldn't configuration tool rather open this dialog? Otherwise, what's then the purpose of that shortcut?

#4 - 2016-10-04 05:59 PM - Nyall Dawson
- Status changed from Open to Feedback

| assume it's to customise the appearance and other measure tool settings. Maybe the button should be totally removed to avoid confusion?

#5 - 2016-10-12 06:54 AM - Harrissou Santanna

Indeed and as pointed in #15436, changing(!) the (global) units settings directly apply to the measurement widget.
However, given that the measurement widget is not a modal dialog, removing the config button would be less painful (though a shortcut is often nice to
have). No strong opinion.

Feel free to do what you think is better. Thanks.
#6 - 2016-10-12 08:09 AM - Harrissou Santanna

Actually, (i'm still a bit puzzled) forget my comment above about units change. Change is applied only if unit is the same as the project properties
otherwise, validating the Configuration dialog applies the units set in Project properties (Nyall's first comment above). There is no relation between units in
measurement widget and units in global settings dialog. (trying to fix things in doc: https://github.com/qgis/QGIS-Documentation/pull/1446)

IMHO, there's actually no reason for an user to have to set units in Settings while measuring as it's possible to do it directly within the measurement dialog.
And if (s)he needs setting the rubberband color or decimal, it's still possible to access the main dialog.
So Better remove the config button to avoid confusion on units behaviour.

#7 - 2017-01-02 07:43 AM - Giovanni Manghi
- Status changed from Feedback to Open

#8 - 2017-05-01 01:03 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#9 - 2018-10-22 06:38 PM - Harrissou Santanna
- Related to Bug report #18891: Changed Ruler distance units do not "stick" - instead always revert to Meters when Ruler Tool is re-selected added

#10 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history — a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help
you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and
support the project even more, for the long term improvement and sustainability of the QGIS project.
